#!/usr/bin/perl 
###########################################################################
#    WWWThreads  - Interactive Discussion Forum
#    Rick Baker scream@screamingweb.com 
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
###########################################################################
  use w3tvars qw(%config);
  use w3t qw($dbh);
  use strict;


# ----------------------
# Connect to the database
  w3t::db_connect();


# --------------------------
# Make sure this is an admin!
  my %user = w3t::authenticate();
  if ( ($user{'Status'} ne 'Administrator') && ($user{'Status'} ne 'Moderator') ) {
    w3t::not_right ("You must be logged in, and be a valid administrator or moderator to access this.");
  }


# ------------------------
# Send them a page 
  w3t::send_header ("Ban a User / Host");
  w3t::table_header("Ban a User / Host.");


  print "Enter the Username or the Hostname you want to ban.  If you ban a Username then that User will not be able to post any messages or send any private messages, although they will still be able to post messages as the Anonymous User.  If you ban a hostname then anyone coming from that hostname will not be able to post any messages or send any private messages, even as an Anonymous User. Note that when you ban by hostname you may be banning a dynamic address that might affect more than one user.";  
  print "<FORM METHOD = POST action =\"$config{'cgiurl'}/admin/dobanuser.pl\">";
  print "<select name = \"Banby\">";
  print "<option value=\"user\">Ban the following user</option>\n";
  print "<option value=\"host\">Ban the following IP address</option>\n";
  print "</select>";
  print "<br><br>User or IP to ban<br>";
  print "<input type=text name=Who>";
  print "<br><br>Reason<br>";
  print "<input type=text name=Reason>";
  print "<br><br><input type=submit value=submit>";
  print "</form>"; 

  w3t::send_footer();
