#!/usr/bin/perl
###########################################################################
#    WWWThreads  - Interactive Discussion Forum
#    Rick Baker scream@screamingweb.com 
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
###########################################################################
  use w3tvars qw(%config);
  use w3t qw($dbh);
  use strict;


# ------------------------
# Connect to the database
  w3t::db_connect();


# ---------------------------
# Make sure this is an admin!
  my %user = w3t::authenticate();
  if ($user{'Status'} ne 'Administrator') {
    w3t::not_right ("You must be logged in, and be a valid administrator to access this.");
  }  


# ------------------------------------------
# Give them a form so they can create a board
  w3t::send_header("Create a category");
  w3t::table_header("Create a category");

  print qq~
    Enter the name of the category you want to create up to 120 characters.  You will then be able to add any new or existing boards into the category. 
    <br><br>
    <form method=POST action = "$config{'cgiurl'}/admin/docreatecat.pl">
    Category Title<br>
    <input type=text size=60 name = Title>
    <br><br>
    <input type=submit value="Create Category">
    </form>
  ~;

# --------------
# Send the footer
  w3t::send_footer();
