#!/usr/bin/perl 
###########################################################################
#    WWWThreads  - Interactive Discussion Forum
#    Rick Baker scream@screamingweb.com 
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
###########################################################################
  use w3tvars qw(%config);
  use w3t qw($dbh);
  use strict;


# ----------------------
# Connect to the database
  w3t::db_connect();


# --------------------------
# Make sure this is an admin!
  my %user = w3t::authenticate();
  if ( ($user{'Status'} ne 'Administrator') && ($user{'Status'} ne 'Moderator') ){
    w3t::not_right ("You must be logged in, and be a valid administrator or moderator to access this.");
  }


# ------------------------
# Send them a page 
  w3t::send_header ("Unban a User / Host");
  w3t::table_header("Unban a User / Host.");


  print "Select which Username or Hostname you want to unban.";
  print "<FORM METHOD = POST action =\"$config{'cgiurl'}/admin/dounbanuser.pl\">";

# ---------------------
# Give the banned users
  my $query = qq!
    SELECT Username
    FROM Banned
    WHERE Username <> "NULL"
    ORDER BY Username
  !;
  my $sth = $dbh -> prepare($query) or die "Query syntax error: $query. Reason: $DBI::errstr";
  $sth -> execute() or die "Can't execute query: $query. Reason: $DBI::errstr";

  my $rows = $sth -> rows;
  if ($rows < 1) {

    print "There are no banned Usernames.";
    $sth -> finish;

  }
  else {
  
    print "<select name = \"Username\">";

    for (my $i=0;$i<$rows;$i++){

      my ($Username) = $sth -> fetchrow_array;
      $sth -> finish;
      print "<option>$Username</option>";

    }
  print "</select>";
  print "<input type=submit name=option value=\"Unban this Username\">";

  }
  print "<br><br>";


# -------------------------
# Give the banned hostnames
  my $query = qq!
    SELECT Hostname 
    FROM Banned
    WHERE Hostname <> "NULL"
    ORDER BY Hostname 
  !;
  my $sth = $dbh -> prepare($query) or die "Query syntax error: $query. Reason: $DBI::errstr";
  $sth -> execute() or die "Can't execute query: $query. Reason: $DBI::errstr";

  my $rows = $sth -> rows;
  if ($rows < 1) {

    print "There are no banned Hostnames.";
    $sth -> finish;

  }
  else {
  
    print "<select name = \"Hostname\">";

    for (my $i=0;$i<$rows;$i++){

      my ($Hostname) = $sth -> fetchrow_array;
      $sth -> finish;
      print "<option>$Hostname</option>";

    }
  print "</select>";
  print "<input type=submit name=option value=\"Unban this Hostname\">";

  }

 

  print "</form>"; 

  w3t::send_footer();

