#!/usr/bin/perl
###########################################################################
#    WWWThreads  - Interactive Discussion Forum
#    Rick Baker scream@screamingweb.com 
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
###########################################################################
  use w3tvars qw(%config);
  use w3t qw($dbh);
  use strict;


# -------------
# Grab the form
  my %FORM     = w3t::get_input();


# -------------------
# Assign the variables
  my $Username = $FORM{'Username'};
  my $Password = $FORM{'Password'};
  my $Email    = $FORM{'Email'};
  my $option   = $FORM{'option'};

  if ($option eq "I forgot my password") {
    &mail_passwd ($Username);
  }
  elsif ($option eq "Login") {
    w3t::db_connect();
    w3t::start_page ($Username, $Password, 1,"");
  } 
  else {
    w3t::not_right("No option was chosen");
  }

###########################################################################
# mail_passwd - Mails a password to a given email address
###########################################################################
sub mail_passwd {

  require Mailer;

# --------------------
# Assign the variables
  my $Username = shift;
  my $ip    = $ENV{'REMOTE_ADDR'};


# -----------------------
# Connect to the database    
  w3t::db_connect();


# ----------------------------------
# See if we can get the email address
  my $Username_q = $dbh->quote ($Username);
  my $query = qq!
    SELECT Username, Email 
    FROM   Users
    WHERE  Username = $Username_q
  !;
  my $sth = $dbh -> prepare($query) or die "Query syntax error: $DBI::errstr. Query: $query";
  $sth -> execute();


# --------------------------------------------------------------------
# If we found email address then we mail the password to
# the address 
  if ($sth->rows) {

  # -------------------
  # Generate a password
    my $a = time();
    srand($a);
    my @passet = ('a'..'k', 'm'..'z', 'A'..'N', 'P'..'Z', '2'..'9');
    my $rnd_passwd;
    my $pass;
    for (my $i = 0; $i < 6; $i++) {
      my $random_num = int(rand($#passet + 1));
      $pass .= @passet[$random_num];
    }

  # ----------------------------
  # Now let's crypt the password
    my $a = time();
    srand($a);
    my $one   = int(rand($#passet)) + 1;
    my $two   = int(rand($#passet)) + 1;
    my $salt  = "@passet[$one]"."@passet[$two]";
    my $crypt = crypt($pass,$salt);


  # -----------------------------
  # Now let's update the database
    my $Username_q = $dbh -> quote($Username);
    my $crypt_q    = $dbh -> quote($crypt);
    my $query = qq!
      UPDATE Users SET Password = $crypt_q
      WHERE Username = $Username_q
    !;
    $dbh -> do($query) or die "Can't execute $query.  Reason: $DBI::errstr"; 

  # ----------------------
  # Now we mail it to them
    my ($user, $email) = $sth->fetchrow_array;
    my $mailer = new Mailer ( { smtp => $config{'SMTP'}, sendmail => $config{'sendmail'} } ) or die "Can't init: $Mailer::error";
    my $to      = $email;
    my $from    = $config{'emailaddy'};
    my $subject = "Request for password";
    my $msg     = "Someone from the ip address '$ip' requested a new password for the Username '$user' for the website '$config{'title'}'.  The password for this Username is -- $pass"; 


    $mailer -> send( {to => $to, from => $from, subject => $subject, msg => $msg} ) or die "Can't mail message: $Mailer::error";


  # --------------------------------
  # Let them know that it was mailed
    w3t::send_header ("Password Mailed");
    w3t::table_header ("Password Mailed");
    print "The password for the Username $user has been mailed.";
    w3t::send_footer;
    $sth->finish;
    w3t::exit();

  }
  else {

  # --------------------------------------------------------------
  # We couldn't find the email address so we need to let them know. 
    $sth->finish;
    w3t::not_right ("Can't find the email address for $Username");
  }

}  

