#!/usr/bin/perl
###########################################################################
#    WWWThreads  - Interactive Discussion Forum
#    Rick Baker scream@screamingweb.com 
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
###########################################################################
  use w3tvars qw(%config);
  use w3t qw($dbh);

  use strict;


# -------------
# Get the Input
  my %FORM = w3t::get_input();


# -----------------------
# Connect to the database
  w3t::db_connect();


# --------------------
# Assign the variables
  my $total    = $FORM{'total'};


# ---------------------
# Authenticate the user
  my %cookie   = w3t::get_cookie();
  my $Username = $cookie{'Username'};
  my $Password = $cookie{'Password'};
  my %user     = w3t::authenticate($Username,$Password);
  if (!(defined $user{'Username'}) ) {

    w3t::not_right ("For some reason we could not authenticate your username and password.");

  }


# ---------------------------
# Delete all selected messages
  for(my $i=0;$i<=$total;$i++){
  
    if($FORM{$i}){

      my $number = $FORM{$i};
      my $query = qq!
        DELETE FROM Messages 
        WHERE Number = $number
      !;
      $dbh -> do($query) or die "Can't execute query: $query. Reason: $DBI::errstr";

    }


  }


# -------------------------------
# Send em back to the start page
  w3t::start_page("$user{'Username'}","$user{'Password'}","","");
