#!/usr/bin/perl

# example startup script for persistent database connections

# make sure we are in a sane environment.
$ENV{GATEWAY_INTERFACE} =~ /^CGI-Perl/ or die "GATEWAY_INTERFACE not Perl!";

# We need to include the directory of the wwwthreads.pm module
BEGIN {
  unshift(@INC, "/home/httpd/perl");
}

use Apache::DBI;
use w3tvars qw(%config);
use w3t qw($dbh); 

# you need to configure mod_perl with PERL_CHILD_INIT=1 and 
# PERL_STACKED_HANDLERS=1 for connect_on_init
# adapt this to your environment:
Apache::DBI->connect_on_init("DBI:$w3tvars::config{'dbdriver'}:$w3tvars::config{'dbname'}:$w3tvars::config{'dbserver'}", "$w3tvars::config{'dbuser'}", "$w3tvars::config{'dbpass'}");
Apache::DBI->{'Warn'} = 0;
1;

